Bug 1130617 - Review Request: kea - DHCPv4, DHCPv6 and DDNS server from ISC
Summary: Review Request: kea - DHCPv4, DHCPv6 and DDNS server from ISC
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 16:34 UTC by Jiri Popelka
Modified: 2014-08-22 08:06 UTC (History)
2 users (show)

Fixed In Version: kea-0.9-0.5.beta1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-22 08:06:14 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jiri Popelka 2014-08-15 16:34:09 UTC
Spec URL: https://jpopelka.fedorapeople.org/kea.spec
SRPM URL: https://jpopelka.fedorapeople.org/kea-0.9-0.1.beta1.fc20.src.rpm

Description:
DHCP implementation from Internet Systems Consortium, Inc.
that features fully functional DHCPv4, DHCPv6 and Dynamic DNS servers.
Both DHCP servers fully support server discovery,
address assignment, renewal, rebinding and release. The DHCPv6
server supports prefix delegation. Both servers support DNS Update
mechanism, using stand-alone DDNS daemon.

Fedora Account System Username: jpopelka

Comment 1 Jiri Popelka 2014-08-15 16:36:31 UTC
scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7311794

rpmlint errors:
> kea.x86_64: E: zero-length /var/lib/kea/kea-leases4.csv
> kea.x86_64: E: zero-length /var/lib/kea/kea-leases6.csv

These are OK, we just need the files to be there, even empty.

> kea.x86_64: E: executable-marked-as-config-file /etc/kea/dhcp-ddns.json
> kea.x86_64: E: script-without-shebang /etc/kea/dhcp-ddns.json

I reported this upstream.

Comment 2 Florian "der-flo" Lehner 2014-08-16 18:33:41 UTC
[ ] Package does not build
    ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7340518
[ ] Please create a subpackage for documentation
[ ] The %doc is missing in %files
[ ] Please replace cp with install in the spec-File

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "ISC", "BSL (v1.0)", "GPL (v2 or later)", "Unknown or generated".
[x]: License file installed when any subpackage combination is installed.

   ---> COPYING is missing in %doc in the %files-section

[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/kea
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/kea
[!]: %build honors applicable compiler flags or justifies otherwise.

   ---> Please use build flags
        https://fedoraproject.org/wiki/Packaging:RPMMacros#Build_flags_macros_and_variables

[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.

   ---> Why do you use this kind of release-number?

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.

   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7340518
        Package doesn't build so far.

[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 972800 bytes in 15 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kea-libs ,
     kea-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7340518
[!]: %check is present and all tests pass.

    ---> why it was commented out?

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1044480 bytes in /usr/share

   ---> Please add a subpackage for docs

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kea-0.9-0.1.beta1.fc22.x86_64.rpm
          kea-libs-0.9-0.1.beta1.fc22.x86_64.rpm
          kea-devel-0.9-0.1.beta1.fc22.x86_64.rpm
          kea-0.9-0.1.beta1.fc22.src.rpm
kea.x86_64: E: zero-length /var/lib/kea/kea-leases4.csv
kea.x86_64: E: executable-marked-as-config-file /etc/kea/dhcp-ddns.json
kea.x86_64: E: script-without-shebang /etc/kea/dhcp-ddns.json
kea.x86_64: E: zero-length /var/lib/kea/kea-leases6.csv
kea-libs.x86_64: W: no-documentation
kea-devel.x86_64: W: only-non-binary-in-usr-lib
kea-devel.x86_64: W: no-documentation
kea.src:6: W: macro-in-comment %{version}
kea.src:6: W: macro-in-comment %{patchver}
kea.src:7: W: macro-in-comment %{version}
4 packages and 0 specfiles checked; 4 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kea-libs kea kea-devel
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libkea-cfgclient.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libkea-cryptolink.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libgcc_s.so.1
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-threads.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-threads.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-dns++.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-cryptolink.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-cfgclient.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiolink.so.0.1.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiolink.so.0.1.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-log.so.1.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-log.so.1.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::~Message()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::beginQuestion() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::addQuestion(isc::dns::Question const&)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setHeaderFlag(isc::dns::Message::HeaderFlag, bool)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::toWire(isc::dns::AbstractMessageRenderer&, isc::dns::TSIGContext*)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Rcode::Rcode(unsigned short)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::MessageRenderer::MessageRenderer()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setQid(unsigned short)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::getHeaderFlag(isc::dns::Message::HeaderFlag) const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::AbstractMessageRenderer::setBuffer(isc::util::OutputBuffer*)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::Message(isc::dns::Message::Mode)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setEDNS(boost::shared_ptr<isc::dns::EDNS const>)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::MessageRenderer::~MessageRenderer()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::SectionIterator<boost::shared_ptr<isc::dns::Question> >::operator*() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Opcode::Opcode(unsigned char)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setOpcode(isc::dns::Opcode const&)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::SectionIterator<boost::shared_ptr<isc::dns::Question> >::~SectionIterator()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::EDNS::EDNS(unsigned char)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setRcode(isc::dns::Rcode const&)
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util-io.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util-io.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 typeinfo for isc::Exception
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 isc::Exception::what() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 vtable for isc::Exception
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cryptolink.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cryptolink.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: no-documentation
kea.x86_64: E: zero-length /var/lib/kea/kea-leases4.csv
kea.x86_64: E: executable-marked-as-config-file /etc/kea/dhcp-ddns.json
kea.x86_64: E: script-without-shebang /etc/kea/dhcp-ddns.json
kea.x86_64: E: zero-length /var/lib/kea/kea-leases6.csv
kea-devel.x86_64: W: only-non-binary-in-usr-lib
kea-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 4 errors, 79 warnings.
# echo 'rpmlint-done:'



Requires
--------
kea-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util.so.0()(64bit)
    liblog4cplus-1.1.so.9()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kea (rpmlib, GLIBC filtered):
    /bin/sh
    config(kea)
    kea-libs(x86-64)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util.so.0()(64bit)
    liblog4cplus-1.1.so.9()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    systemd

kea-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    kea-libs(x86-64)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util-io.so.0()(64bit)
    libkea-util.so.0()(64bit)



Provides
--------
kea-libs:
    kea-libs
    kea-libs(x86-64)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util-io.so.0()(64bit)
    libkea-util.so.0()(64bit)

kea:
    config(kea)
    kea
    kea(x86-64)

kea-devel:
    kea-devel
    kea-devel(x86-64)
    pkgconfig(dns++)



Source checksums
----------------
http://ftp.isc.org/isc/kea/0.9-beta1/kea-0.9-beta1.tar.gz :
  CHECKSUM(SHA256) this package     : 270eb2f0235630c3213c0d552e59087e98bc3f6186ee31a3738bcae4b2c5cc01
  CHECKSUM(SHA256) upstream package : 270eb2f0235630c3213c0d552e59087e98bc3f6186ee31a3738bcae4b2c5cc01


AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: kea-0.9-beta1/configure.ac:82


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1130617
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====

NOT approved.  Please fix those issues and I' ll take another review.

Comment 3 Jiri Popelka 2014-08-18 15:01:50 UTC
Thanks for the review !

Spec URL: https://jpopelka.fedorapeople.org/kea.spec
SRPM URL: https://jpopelka.fedorapeople.org/kea-0.9-0.2.beta1.fc20.src.rpm

(In reply to Florian "der-flo" Lehner from comment #2)
> [ ] Package does not build
>     ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7340518

It was failing only for armv7, which should be OK now:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7406293

> [ ] Please create a subpackage for documentation

See below

> [ ] The %doc is missing in %files

I don't use %doc to install documentation, see
https://fedoraproject.org/wiki/Packaging_tricks#As_part_of_the_staged_install

> [ ] Please replace cp with install in the spec-File

done

> ===== MUST items =====
> [x]: License file installed when any subpackage combination is installed.

This was actually [!], but I moved the COPYING & LICENSE_1_0.txt into kea-libs which is always installed.

>    ---> COPYING is missing in %doc in the %files-section

See above
 
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/doc/kea

fixed

> [!]: %build honors applicable compiler flags or justifies otherwise.
> 
>    ---> Please use build flags

I don't override them. I use 'make %{?_smp_mflags}' per https://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make
 
> [!]: Changelog in prescribed format.
> 
>    ---> Why do you use this kind of release-number?

see
https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

> [!]: Package does not generate any conflict.

Do you see any ?

> [!]: Package is not known to require an ExcludeArch tag.
> 
>    ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7340518
>         Package doesn't build so far.

Should be OK now, see above.

> [!]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 972800 bytes in 15 files.

I still think this is not a 'large' documentation and would rather keep it in the same package. This dhcp/dhcpv6 implementation is completely new and most users will need the documentation anyway. Maybe later if it grows.

> ===== SHOULD items =====
> Generic:
> [!]: Package should compile and build into binary rpms on all supported
>      architectures.
>    ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7340518

Should be fixed, see above.

> [!]: %check is present and all tests pass.

Should be OK now.

> ===== EXTRA items =====
> Generic:
> [!]: Package should not use obsolete m4 macros
>      Note: Some obsoleted macros found, see the attachment.
>      See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

fixed

> [!]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
>      Note: Arch-ed rpms have a total of 1044480 bytes in /usr/share
> 
>    ---> Please add a subpackage for docs

See above.
 
> Rpmlint
> -------
> kea.x86_64: E: zero-length /var/lib/kea/kea-leases4.csv
> kea.x86_64: E: zero-length /var/lib/kea/kea-leases6.csv

described in comment #0

> kea.x86_64: E: executable-marked-as-config-file /etc/kea/dhcp-ddns.json
> kea.x86_64: E: script-without-shebang /etc/kea/dhcp-ddns.json

fixed

Comment 4 Florian "der-flo" Lehner 2014-08-18 17:15:29 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "ISC", "BSL (v1.0)", "GPL (v2 or later)", "Unknown or generated". 18
     files have unknown license. 
[!]: License file installed when any subpackage combination is installed.

   ---> The file, containing the text of the license, must be included in %doc
   https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[!]: %build honors applicable compiler flags or justifies otherwise.

   ---> Using %{?_smp_mflags} is fine.
        I just was thinking about something like:

        CFLAGS="%{?optflags}"			\
        LDFLAGS="%{?__global_ldflags}"	\
        make %{?_smp_mflags}

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 983040 bytes in 15 files.

   ---> I'm ok with it not to create a own subpackage, as long as
        the package is still under development

[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kea-libs ,
     kea-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.

   ---> Please add some information

[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7408226
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.

   ---> Please add the -p to install to preserve timestamps

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1054720 bytes in /usr/share

   ---> I'm ok with it not to create a own subpackage, as long as
        the package is still under development

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kea-0.9-0.2.beta1.fc22.x86_64.rpm
          kea-libs-0.9-0.2.beta1.fc22.x86_64.rpm
          kea-devel-0.9-0.2.beta1.fc22.x86_64.rpm
          kea-0.9-0.2.beta1.fc22.src.rpm
kea.x86_64: E: zero-length /var/lib/kea/kea-leases4.csv
kea.x86_64: E: zero-length /var/lib/kea/kea-leases6.csv
kea-devel.x86_64: W: only-non-binary-in-usr-lib
kea-devel.x86_64: W: no-documentation
kea.src:6: W: macro-in-comment %{version}
kea.src:6: W: macro-in-comment %{patchver}
kea.src:7: W: macro-in-comment %{version}
4 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kea-libs kea kea-devel
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libkea-cfgclient.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libkea-cryptolink.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libgcc_s.so.1
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-threads.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-threads.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-dns++.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-cryptolink.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-cfgclient.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiolink.so.0.1.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiolink.so.0.1.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-log.so.1.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-log.so.1.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::~Message()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::beginQuestion() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::addQuestion(isc::dns::Question const&)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setHeaderFlag(isc::dns::Message::HeaderFlag, bool)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::toWire(isc::dns::AbstractMessageRenderer&, isc::dns::TSIGContext*)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Rcode::Rcode(unsigned short)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::MessageRenderer::MessageRenderer()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setQid(unsigned short)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::getHeaderFlag(isc::dns::Message::HeaderFlag) const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::AbstractMessageRenderer::setBuffer(isc::util::OutputBuffer*)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::Message(isc::dns::Message::Mode)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setEDNS(boost::shared_ptr<isc::dns::EDNS const>)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::MessageRenderer::~MessageRenderer()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::SectionIterator<boost::shared_ptr<isc::dns::Question> >::operator*() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Opcode::Opcode(unsigned char)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setOpcode(isc::dns::Opcode const&)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::SectionIterator<boost::shared_ptr<isc::dns::Question> >::~SectionIterator()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::EDNS::EDNS(unsigned char)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setRcode(isc::dns::Rcode const&)
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util-io.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util-io.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 typeinfo for isc::Exception
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 isc::Exception::what() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 vtable for isc::Exception
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cryptolink.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cryptolink.so.0.0.0 /lib64/libm.so.6
kea.x86_64: E: zero-length /var/lib/kea/kea-leases4.csv
kea.x86_64: E: zero-length /var/lib/kea/kea-leases6.csv
kea-devel.x86_64: W: only-non-binary-in-usr-lib
kea-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 78 warnings.
# echo 'rpmlint-done:'



Requires
--------
kea-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util.so.0()(64bit)
    liblog4cplus-1.1.so.9()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kea (rpmlib, GLIBC filtered):
    /bin/sh
    config(kea)
    kea-libs(x86-64)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util.so.0()(64bit)
    liblog4cplus-1.1.so.9()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    systemd

kea-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    kea-libs(x86-64)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util-io.so.0()(64bit)
    libkea-util.so.0()(64bit)



Provides
--------
kea-libs:
    kea-libs
    kea-libs(x86-64)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util-io.so.0()(64bit)
    libkea-util.so.0()(64bit)

kea:
    config(kea)
    kea
    kea(x86-64)

kea-devel:
    kea-devel
    kea-devel(x86-64)
    pkgconfig(dns++)



Source checksums
----------------
http://ftp.isc.org/isc/kea/0.9-beta1/kea-0.9-beta1.tar.gz :
  CHECKSUM(SHA256) this package     : 270eb2f0235630c3213c0d552e59087e98bc3f6186ee31a3738bcae4b2c5cc01
  CHECKSUM(SHA256) upstream package : 270eb2f0235630c3213c0d552e59087e98bc3f6186ee31a3738bcae4b2c5cc01


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1130617
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====

NOT approved.  Please fix those issues and I' ll take another review.

Comment 5 Jiri Popelka 2014-08-19 08:49:10 UTC
Updated:
Spec URL: https://jpopelka.fedorapeople.org/kea.spec
SRPM URL: https://jpopelka.fedorapeople.org/kea-0.9-0.3.beta1.fc20.src.rpm


(In reply to Florian "der-flo" Lehner from comment #4)
> ===== MUST items =====
> [!]: License file installed when any subpackage combination is installed.
> 
>    ---> The file, containing the text of the license, must be included in
> %doc
>    https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

It is:
# rpm -qd kea-libs
/usr/share/doc/kea/COPYING
/usr/share/doc/kea/LICENSE_1_0.txt
 
> [!]: %build honors applicable compiler flags or justifies otherwise.
>         I just was thinking about something like:
>         CFLAGS="%{?optflags}"			\
>         LDFLAGS="%{?__global_ldflags}"	\
>         make %{?_smp_mflags}

In build.log you can see that these flags are already used, so I don't get what's the use case of the above code:

CXXFLAGS:     -O2 -g -pipe -Wall -Werror=format-security Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic
KEA_CXXFLAGS: -Wall -Wextra -Wnon-virtual-dtor -Wwrite-strings -Woverloaded-virtual -Wno-sign-compare -Werror -fPIC
LDFLAGS:      -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld

> ===== SHOULD items =====
> [!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
>    ---> Please add some information

added
 
> [!]: Packages should try to preserve timestamps of original installed files.
>    ---> Please add the -p to install to preserve timestamps

added

Comment 6 Florian "der-flo" Lehner 2014-08-19 18:04:24 UTC
(In reply to Jiri Popelka from comment #5)
> >    ---> The file, containing the text of the license, must be included in
> > %doc
> >    https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
> 
> It is:
> # rpm -qd kea-libs
> /usr/share/doc/kea/COPYING
> /usr/share/doc/kea/LICENSE_1_0.txt

I approve your package, because I can see how the licenses are installed.

I quote only the first paragraph of https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text
 
> > [!]: %build honors applicable compiler flags or justifies otherwise.
> >         I just was thinking about something like:
> >         CFLAGS="%{?optflags}"			\
> >         LDFLAGS="%{?__global_ldflags}"	\
> >         make %{?_smp_mflags}
> 
> In build.log you can see that these flags are already used, so I don't get
> what's the use case of the above code:
> 
> CXXFLAGS:     -O2 -g -pipe -Wall -Werror=format-security
> Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong
> --param=ssp-buffer-size=4 -grecord-gcc-switches
> -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -mtune=generic
> KEA_CXXFLAGS: -Wall -Wextra -Wnon-virtual-dtor -Wwrite-strings
> -Woverloaded-virtual -Wno-sign-compare -Werror -fPIC
> LDFLAGS:      -Wl,-z,relro -specs=/usr/lib/rpm/redhat/redhat-hardened-ld

Since the software is still in development, it is possible that the flags changes. Using the macros would provide an easy way to honor applicable compiler flags.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "ISC", "BSL (v1.0)", "GPL (v2 or later)", "Unknown or generated". 18
     files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 983040 bytes in 15 files.

   ---> I'm ok with it not to create a own subpackage, as long as
        the package is still under development

[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in kea-libs ,
     kea-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=7428068
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1054720 bytes in /usr/share

   ---> I'm ok with it not to create a own subpackage, as long as
        the package is still under development

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: kea-0.9-0.3.beta1.fc22.x86_64.rpm
          kea-libs-0.9-0.3.beta1.fc22.x86_64.rpm
          kea-devel-0.9-0.3.beta1.fc22.x86_64.rpm
          kea-0.9-0.3.beta1.fc22.src.rpm
kea.x86_64: E: zero-length /var/lib/kea/kea-leases4.csv
kea.x86_64: E: zero-length /var/lib/kea/kea-leases6.csv
kea-devel.x86_64: W: only-non-binary-in-usr-lib
kea-devel.x86_64: W: no-documentation
kea.src:6: W: macro-in-comment %{version}
kea.src:6: W: macro-in-comment %{patchver}
kea.src:7: W: macro-in-comment %{version}
4 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint kea-libs kea kea-devel
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cc.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libkea-cfgclient.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp_ddns.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libkea-cryptolink.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcp++.so.2.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dns++.so.2.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-exceptions.so.0.0.0 /lib64/libgcc_s.so.1
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-threads.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-threads.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cfgclient.so.0.1.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-dns++.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-cryptolink.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-cfgclient.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libcrypto.so.10
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-dhcpsrv.so.3.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiolink.so.0.1.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiolink.so.0.1.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-log.so.1.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-log.so.1.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::~Message()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::beginQuestion() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::addQuestion(isc::dns::Question const&)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setHeaderFlag(isc::dns::Message::HeaderFlag, bool)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::toWire(isc::dns::AbstractMessageRenderer&, isc::dns::TSIGContext*)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Rcode::Rcode(unsigned short)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::MessageRenderer::MessageRenderer()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setQid(unsigned short)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::getHeaderFlag(isc::dns::Message::HeaderFlag) const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::AbstractMessageRenderer::setBuffer(isc::util::OutputBuffer*)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::Message(isc::dns::Message::Mode)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setEDNS(boost::shared_ptr<isc::dns::EDNS const>)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::MessageRenderer::~MessageRenderer()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::SectionIterator<boost::shared_ptr<isc::dns::Question> >::operator*() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Opcode::Opcode(unsigned char)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setOpcode(isc::dns::Opcode const&)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::SectionIterator<boost::shared_ptr<isc::dns::Question> >::~SectionIterator()
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::EDNS::EDNS(unsigned char)
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-asiodns.so.0.0.0 isc::dns::Message::setRcode(isc::dns::Rcode const&)
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-asiodns.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util-io.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-util-io.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libkea-threads.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/liblog4cplus-1.1.so.9
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libkea-util.so.0
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-hooks.so.0.0.0 /lib64/libm.so.6
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 typeinfo for isc::Exception
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 isc::Exception::what() const
kea-libs.x86_64: W: undefined-non-weak-symbol /usr/lib64/libkea-cryptolink.so.0.0.0 vtable for isc::Exception
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cryptolink.so.0.0.0 /lib64/libdl.so.2
kea-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkea-cryptolink.so.0.0.0 /lib64/libm.so.6
kea.x86_64: E: zero-length /var/lib/kea/kea-leases4.csv
kea.x86_64: E: zero-length /var/lib/kea/kea-leases6.csv
kea-devel.x86_64: W: only-non-binary-in-usr-lib
kea-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 2 errors, 78 warnings.
# echo 'rpmlint-done:'



Requires
--------
kea-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util.so.0()(64bit)
    liblog4cplus-1.1.so.9()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

kea (rpmlib, GLIBC filtered):
    /bin/sh
    config(kea)
    kea-libs(x86-64)
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_4.0.0)(64bit)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util.so.0()(64bit)
    liblog4cplus-1.1.so.9()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)
    systemd

kea-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    kea-libs(x86-64)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util-io.so.0()(64bit)
    libkea-util.so.0()(64bit)



Provides
--------
kea-libs:
    kea-libs
    kea-libs(x86-64)
    libkea-asiodns.so.0()(64bit)
    libkea-asiolink.so.0()(64bit)
    libkea-cc.so.0()(64bit)
    libkea-cfgclient.so.0()(64bit)
    libkea-cryptolink.so.0()(64bit)
    libkea-dhcp++.so.2()(64bit)
    libkea-dhcp_ddns.so.0()(64bit)
    libkea-dhcpsrv.so.3()(64bit)
    libkea-dns++.so.2()(64bit)
    libkea-exceptions.so.0()(64bit)
    libkea-hooks.so.0()(64bit)
    libkea-log.so.1()(64bit)
    libkea-threads.so.0()(64bit)
    libkea-util-io.so.0()(64bit)
    libkea-util.so.0()(64bit)

kea:
    config(kea)
    kea
    kea(x86-64)

kea-devel:
    kea-devel
    kea-devel(x86-64)
    pkgconfig(dns++)



Source checksums
----------------
http://ftp.isc.org/isc/kea/0.9-beta1/kea-0.9-beta1.tar.gz :
  CHECKSUM(SHA256) this package     : 270eb2f0235630c3213c0d552e59087e98bc3f6186ee31a3738bcae4b2c5cc01
  CHECKSUM(SHA256) upstream package : 270eb2f0235630c3213c0d552e59087e98bc3f6186ee31a3738bcae4b2c5cc01


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1130617
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


===== Solution =====
Approved.

Comment 7 Jiri Popelka 2014-08-20 07:43:03 UTC
New Package SCM Request
=======================
Package Name: kea
Short Description: DHCPv4, DHCPv6 and DDNS server from ISC
Upstream URL: http://kea.isc.org
Owners: jpopelka
Branches: f21

Comment 8 Gwyn Ciesla 2014-08-20 09:55:54 UTC
Git done (by process-git-requests).

Comment 9 Jiri Popelka 2014-08-22 08:06:14 UTC
Thanks again for the review.


Note You need to log in before you can comment on or make changes to this bug.